Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 536926 - sys-apps/portage: reduce default emerge --backtrack setting
Summary: sys-apps/portage: reduce default emerge --backtrack setting
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Interface (emerge) (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on: 491474
Blocks: 155723 484436
  Show dependency tree
 
Reported: 2015-01-17 22:47 UTC by Zac Medico
Modified: 2017-04-15 22:06 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2015-01-17 22:47:47 UTC
The existing default emerge --backtrack=10 setting can lead to lots of wasted cpu time in cases where it will ultimately fail to find a valid solution anyway. So, I recommend that we reduce the default to --backtrack=3 or so.
Comment 1 Zac Medico gentoo-dev 2015-01-17 23:00:35 UTC
I have a patch in the following branch:

	https://github.com/zmedico/portage/tree/bug_536926

I've posted it for review here:

	http://thread.gmane.org/gmane.linux.gentoo.portage.devel/5098
Comment 2 Zac Medico gentoo-dev 2015-01-18 18:57:56 UTC
This is in the master branch now:

https://github.com/gentoo/portage/commit/1891388ea0ae0dd58903a71a3adc779731523601
Comment 3 Brian Dolbec gentoo-dev 2015-02-12 06:11:15 UTC
Released in portage-2.2.16